%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: 		libbeagle
Version: 	0.3.9
Release: 	3%{?dist}
Summary:	Beagle C interface
Group: 		Development/Libraries
License:	MIT
URL:		http://beagle-project.org/
Source0: 	http://download.gnome.org/sources/libbeagle/0.3/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel
BuildRequires:  pygtk2-devel
BuildRequires:  python-devel
BuildRequires:	pygobject2-devel
# http://bugzilla.gnome.org/show_bug.cgi?id=570521
Patch0:		libbeagle-pyexec.patch
BuildRequires: 	automake, autoconf, libtool

%description
Library to talk to the beagle server in C.


%package -n libbeagle-devel
Summary:	Beagle C interface
Group:		Development/Libraries
Requires:	libbeagle = %{version}-%{release} 
Requires:	libxml2-devel 
Requires:	glib2-devel
Requires:	pkgconfig
Requires:	gtk-doc

%description -n libbeagle-devel
Library to talk to the beagle server in C.


%package -n libbeagle-python
Summary:	Beagle python interface
Group:		Development/Libraries
Requires:	libbeagle = %{version}-%{release}
Requires:	python

%description -n libbeagle-python
Python wrappers for libbeagle


%prep
%setup -q
%patch0 -p1 -b .pyexec

# patch 0 touches .am
autoreconf -i -f

%build
%configure 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libbeagle.{a,la}
rm -f $RPM_BUILD_ROOT%{python_sitearch}/beagle/beagle.{a,la}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc COPYING AUTHORS README
%{_libdir}/libbeagle.so.*


%files -n libbeagle-devel
%defattr(-, root, root)
%{_includedir}/libbeagle
%{_libdir}/libbeagle.so
%{_libdir}/pkgconfig/libbeagle*.pc
%{_datadir}/gtk-doc/html/beagle


%files -n libbeagle-python
%dir %{python_sitearch}/beagle
%{python_sitearch}/beagle/beagle.so
%{python_sitearch}/beagle/*.py
%{python_sitearch}/beagle/*.pyc
%{python_sitearch}/beagle/*.pyo


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb  4 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.9-2
- Update to 0.3.9

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.5-4
- Rebuild for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.5-3
- Rebuild for Python 2.6

* Sun May  4 2008 Matthias Clasen <mclasen@redhat.com> - 0.3.5-2
- Fix source url

* Tue Apr  8 2008 Matthias Clasen <mclasen@redhat.com> - 0.3.5-1
- Update to 0.3.5

* Wed Mar 26 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.4-1
- Bump to 0.3.4

* Fri Feb 29 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.0-5
- BR: pygobject2-devel (fixes build on F8)

* Fri Feb  8 2008  Matthias Clasen  <mclasen@redhat.com> - 0.3.0-4
- Rebuild for gcc 4.3

* Fri Dec  7 2007  Matthias Clasen  <mclasen@redhat.com> - 0.3.0-3
- Fix python BRs

* Fri Dec  7 2007  Matthias Clasen  <mclasen@redhat.com> - 0.3.0-2
- Package review feedback

* Wed Dec  5 2007  Matthias Clasen  <mclasen@redhat.com> - 0.3.0-1
- Initial packaging

